Diagnostics
All operations require authentication.
List diagnosticsProduction
Returns the IDs of the diagnostics run on the service.
Path parameters
Service name
Response
Example uses serviceName = 00000000-0000-0000-0000-000000000000
$ curl https:/ / api.eu.ovhcloud.com/ 1.0/ ovhCloudConnect/ {serviceName}/ diagnostic \
-H "authorization: Bearer $OVH_TOKEN"[ 0]
Get diagnosticProduction
Returns the diagnostic status and the equipment output (BGP state, routes or MACs).
Path parameters
Id
Service name
Response
Date of the diagnostic
Description of the diagnostic
Diagnostic function
diagAccessEdgediagMacsdiagPeeringdiagPeeringExtradiagRoutesDiagnostic id
Diagnostic result
Source where the diagnostic was run
Diagnostic status
denieddoingdoneerrorpausetodoExample uses id = 0, serviceName = 00000000-0000-0000-0000-000000000000
$ curl https:/ / api.eu.ovhcloud.com/ 1.0/ ovhCloudConnect/ {serviceName}/ diagnostic/ {id} \
-H "authorization: Bearer $OVH_TOKEN"{ "date": "2024-01-01T12:00:00Z", "description": "string", "function": "diagAccessEdge", "id": 0, "result": [ { "aspath": "string", "cmd": "string", "localprefix": 0, "mac": "00:00:5e:00:53:01", "med": 0, "output": "string", "prefix": "192.0.2.0/24", "routermac": "string", "timestamp": "2024-01-01T12:00:00Z" } ], "source": "string", "status": "denied"}
Run diagnosticProduction
Checks BGP peering, routes or MAC addresses on a configuration; runs per 24 h are capped.
Path parameters
Service name
Request body (required)
ID of the Datacenter configuration
Name of the diagnostic
diagAccessEdgediagMacsdiagPeeringdiagPeeringExtradiagRoutesType of the diagnostic
advertised-routesdefaultroutesID of the service Edge
ID of the extra configuration
ID of the Pop Configuration
Response
Date of the diagnostic
Description of the diagnostic
Diagnostic function
diagAccessEdgediagMacsdiagPeeringdiagPeeringExtradiagRoutesDiagnostic id
Diagnostic result
Source where the diagnostic was run
Diagnostic status
denieddoingdoneerrorpausetodoExample uses serviceName = 00000000-0000-0000-0000-000000000000
$ curl https:/ / api.eu.ovhcloud.com/ 1.0/ ovhCloudConnect/ {serviceName}/ diagnostic \
-H "authorization: Bearer $OVH_TOKEN"{ "date": "2024-01-01T12:00:00Z", "description": "string", "function": "diagAccessEdge", "id": 0, "result": [ { "aspath": "string", "cmd": "string", "localprefix": 0, "mac": "00:00:5e:00:53:01", "med": 0, "output": "string", "prefix": "192.0.2.0/24", "routermac": "string", "timestamp": "2024-01-01T12:00:00Z" } ], "source": "string", "status": "denied"}